commit:     1e94dd46d27f2c9056778a7361bb72d0f700f23d
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  4 18:52:09 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Sun Aug  6 06:45:16 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e94dd46

dev-ml/cmdliner: bump to 1.0.1

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-ml/cmdliner/Manifest              |  1 +
 dev-ml/cmdliner/cmdliner-1.0.1.ebuild | 43 +++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-ml/cmdliner/Manifest b/dev-ml/cmdliner/Manifest
index 4419ec5028e..0b4d8102deb 100644
--- a/dev-ml/cmdliner/Manifest
+++ b/dev-ml/cmdliner/Manifest
@@ -1 +1,2 @@
 DIST cmdliner-1.0.0.tbz 46542 SHA256 
3df9a78a1fa966ba0cfbc4195f0e4dc8d0ff67a4ed23aa1807ef47a0233ed6e7 SHA512 
3fc87e49504167864ba4d81fde7bbaa01b7d58b06e2b68b36647857590f41fdc8b3bbd547418f8159b0e76628236b5c30301404b3d8d57e2ff3f082228eee73c
 WHIRLPOOL 
866c6aa188787ec384ea099406e4b82998892ee7513339b0d5f514cc14e98a1f2cd0d8b2b6a852d9b80897aa60f182b75caf35f97d58e98b394f9d1c60fe3de8
+DIST cmdliner-1.0.1.tbz 46614 SHA256 
e9964972ac3a6f0636575fe16ac4a5df15392904e51d60c281f72c00e148448c SHA512 
b792dab3a7f53f69d74d07acbb013e48235614e29a477b7e9e7d7b58013d47ff842fbaeef50acda305434185325855ef83d839d5acb0ccf460276f0ca880ee7b
 WHIRLPOOL 
e25ff8769e004d0dc1138c7d86fb92a7a18b44df43b2ed8826db1c09062619105d3a712985c6edbecf0280ce89cdc0a375527f3c9bbc96400a2566593221fe8c

diff --git a/dev-ml/cmdliner/cmdliner-1.0.1.ebuild 
b/dev-ml/cmdliner/cmdliner-1.0.1.ebuild
new file mode 100644
index 00000000000..262192ca7b5
--- /dev/null
+++ b/dev-ml/cmdliner/cmdliner-1.0.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit findlib
+
+DESCRIPTION="Declarative definition of command line interfaces for OCaml"
+HOMEPAGE="http://erratique.ch/software/cmdliner";
+SRC_URI="http://erratique.ch/software/${PN}/releases/${P}.tbz";
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+IUSE="+ocamlopt test"
+
+RDEPEND="
+       >=dev-lang/ocaml-4:=[ocamlopt?]
+       dev-ml/result:=
+"
+DEPEND="${RDEPEND}
+       dev-ml/topkg
+       dev-ml/ocamlbuild"
+
+src_compile() {
+       ocaml pkg/pkg.ml build \
+               --tests $(usex test true false) \
+               || die
+}
+
+src_test() {
+       ocaml pkg/pkg.ml test || die
+}
+
+src_install() {
+       # Can't use opam-installer here as it is an opam dep...
+       findlib_src_preinst
+       local nativelibs=""
+       use ocamlopt && nativelibs="$(echo _build/src/cmdliner.cm{x,xa,xs} 
_build/src/cmdliner.a)"
+       ocamlfind install cmdliner _build/pkg/META \
+               _build/src/cmdliner.mli _build/src/cmdliner.cm{a,i} 
${nativelibs} || die
+       dodoc README.md CHANGES.md
+}

Reply via email to